Subject: Re: [PATCH v2] cvsserver: avoid precedence problem between ! and %s

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 May 2025 09:02:43 -0700

"Ondřej Pohořelský via GitGitGadget" <[email-masked]>
writes:

> From: =?UTF-8?q?Ond=C5=99ej=20Poho=C5=99elsk=C3=BD?= <[email-masked]>
>
> With perl-5.41.4 and newer, git-cvsserver fails to build because of
> possible precedence problem[0]

What is the exact symptom?  As Perl is not a language to compile and
run separately, "fails to build" does not look like what exactly is
going on.  "gives a warning and then refuses to run"?  "gives a warning
before running"?  Something else?

> Added parentheses avoid this issue.

We phrase such "this is how the patch addresses the issue" statement
in imperative, as if we are telling the codebase to become-like-so,
e.g., "Enclose the pattern matching =~ in parentheses to force the
right order of binding", or something like that.